## org.exist.xquery
Class QuantifiedExpression

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.BindingExpression
              org.exist.xquery.QuantifiedExpression

All Implemented Interfaces:
  Expression

public class QuantifiedExpression
extends BindingExpression

Represents a quantified expression: "some ... in ... satisfies", "every ... in ... satisfies".

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Field Summary
`static int` `EVERY`
`static int` `SOME`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`QuantifiedExpression(XQueryContext context, int mode)`

Method Summary
`void` `analyze(AnalyzeContextInfo contextInfo, OrderSpec[] orderBy)`
`void` `dump(ExpressionDumper dumper)` Write a diagnostic dump of the expression to the passed `ExpressionDumper`.
`Sequence` `eval(Sequence contextSequence, Item contextItem, Sequence resultSequence)`
`int` `getDependencies()` Returns `Dependency.DEFAULT_DEPENDENCIES`.
`int` `returnsType()` The static return type of the expression.
`java.lang.String` `toString()`

Methods inherited from class org.exist.xquery.BindingExpression
`analyze, eval, preselect, resetState, setInputSequence, setOrderSpecs, setReturnExpression, setSequenceType, setVariable, setWhereExpression`

Methods inherited from class org.exist.xquery.AbstractExpression
`accept, eval, getASTNode, getCardinality, getContextDocSet, getContextId, getExpressionId, setASTNode, setContextDocSet, setPrimaryAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SOME

    public static final int SOME

See Also:
  Constant Field Values

### EVERY

    public static final int EVERY

See Also:
  Constant Field Values

Constructor Detail

### QuantifiedExpression

    public QuantifiedExpression(XQueryContext context,
                                int mode)

Parameters:
  `context` -

Method Detail

### analyze

    public void analyze(AnalyzeContextInfo contextInfo,
                        OrderSpec[] orderBy)
                 throws XPathException

  Specified by:
    `analyze` in class `BindingExpression`
  Throws:
    `XPathException`

### eval

    public Sequence eval(Sequence contextSequence,
                         Item contextItem,
                         Sequence resultSequence)
                  throws XPathException

  Specified by:
    `eval` in class `BindingExpression`
  Throws:
    `XPathException`

### dump

    public void dump(ExpressionDumper dumper)

  Description copied from interface: `Expression`
  Write a diagnostic dump of the expression to the passed `ExpressionDumper`.

  Parameters:
    `dumper` - the expression dumper to write to

### toString

    public java.lang.String toString()

### returnsType

    public int returnsType()

  Description copied from interface: `Expression`
  The static return type of the expression. This method should return one of the type constants defined in class `Type`. If the return type cannot be determined statically, return Type.ITEM.

  Specified by:
    `returnsType` in interface `Expression`
  Overrides:
    `returnsType` in class `BindingExpression`

### getDependencies

    public int getDependencies()

  Description copied from class: `AbstractExpression`
  Returns `Dependency.DEFAULT_DEPENDENCIES`.

  Specified by:
    `getDependencies` in interface `Expression`
  Overrides:
    `getDependencies` in class `AbstractExpression`
  See Also:
    `Expression.getDependencies()`

Copyright (C) Wolfgang Meier. All rights reserved.